@import "../helper/variables"
@import "../helper/media"
#header
  top: 0
  left: 0
  width: 100%
  position: fixed
  z-index: $zHeader
  display: flex
  padding: 25px 0
  background-color: $colorWhite
  .container
    position: unset
    display: flex
    align-items: center
    justify-content: space-between
    &:after
      display: none
  // logo
  .logo
    overflow: hidden
    font: bold 40px/40px arial, sans-serif
    margin: 0
    position: relative
    top: 10px
    @include transition
    height: 50px
    a
      height: 100%
      display: block
    img
      height: 100%
      width: auto
      @include transition
      @include mobile-l
        height: 30px
  // MENU-ACTIVE
  &.menu-active
    .menu-opener
      left: 0
      color: $colorWhite
      background-color: $colorBlack
    .top-links
      right: 0
      .navigation
        li
          margin: 0
//menu opener icon
.menu-opener-js
  display: none
  position: fixed
  line-height: 10px
  width: 30px
  top: 33px
  padding: 0
  right: 10px
  font-size: 15px
  text-align: center
  color: $colorBlack
  .bar
    width: 100%
    display: inline-block
    background: #2b1c17
    height: 5px
    margin: 5px 0 0
    clear: both
    @include transition
  .ico-text
    display: block
    font-size: 15px
    padding-top: 5px
    position: absolute
    left: 50%
    @include transform-x
    top: 100%
  @include tablet-l
    display: block
    z-index: 10
  &.active
    right: calc(100% - 60px)
    top: 100px
    color: #fff
    width: 60px
    height: 60px
    background-color: gray
    .bar
      display: none
      width: 30px
      margin: 30px 0 0 30px
      background-color: #fff
      &:nth-child(1),
      &:nth-child(3)
        display: block !important
        margin: 15px 0 0
        -webkit-transform: rotate(45deg)
        -moz-transform: rotate(45deg)
        -ms-transform: rotate(45deg)
        -o-transform: rotate(45deg)
        transform: rotate(45deg)
      &:nth-child(1)
        margin: 28px 0 0 17px
      &:nth-child(3)
        display: block !important
        margin: -6px 0 0 16px
        -webkit-transform: rotate(-45deg)
        -moz-transform: rotate(-45deg)
        -ms-transform: rotate(-45deg)
        -o-transform: rotate(-45deg)
        transform: rotate(-45deg)
    .ico-text
      padding-top: 10px
//TOP-LINKS
.top-links
  display: flex
  flex-direction: row
  justify-content: flex-end
  align-items: center
  background: transparent
  @include transition-long
  @include tablet-l
    right: -100%
    flex-direction: column
    top: 100%
    opacity: 0.97
    position: absolute
    max-width: calc(100% - 60px)
    padding: 0
    background-color: gray
    height: calc(100vh - 100px)
    align-items: end
    justify-content: center
//navigation
.navigation
  @include tablet-l
    width: 100%
  nav
    width: 100%
    ul
      padding: 0
      list-style: none
      margin: 0
      display: flex
      flex-direction: row
      @include tablet-l
        flex-direction: column
    li
      margin: 0 0 0 52px
    a
      color: $colorBlack
      text-decoration: none
      @include transition
      font-weight: 600
      padding: 0
      display: inline-block
      vertical-align: top
      @include tablet-l
        display: block
        font-size: 20px
        line-height: 30px
        font-weight: 300
        padding: 15px
        border-bottom: 1px solid #686260
        text-transform: uppercase
        color: #000
        background: gray
        font-family: 'ProximaNova-Bold', sans-serif
        &:hover
          color: #fff


//user-links
.user-links
  margin-left: 65px
  position: relative
  top: 5px
  @include tablet-l
    margin-left: 0
    width: 100%
    top: 0
  .btn
    margin: 0
    max-width: 76px
    @include tablet-l
      right: 0
      max-width: 100%
      width: 100%
      font-size: 20px
      line-height: 30px
      font-weight: 300
      padding: 15px
      border-radius: 0
      color: #000
      font-family: 'ProximaNova-Bold', sans-serif
      background: gray
      height: auto
      align-items: end
      justify-content: flex-start
      text-align: left

      &:hover
        background: gray